# $Revision: 1.20 $, $Date: 2010/10/28 18:35:52 $
%include	/usr/lib/rpm/macros.mono
Summary:	Gecko# - A Gtk# Mozilla binding
Summary(pl.UTF-8):	Gecko# - wiązanie Gtk# dla Mozilli
Name:		dotnet-gecko-sharp2
Version:	0.13
Release:	4
License:	LGPL v2.1/MPL v1.1
Group:		Libraries
# latest downloads summary at http://ftp.novell.com/pub/mono/sources-stable/
Source0:	http://ftp.novell.com/pub/mono/sources/gecko-sharp2/gecko-sharp-2.0-%{version}.tar.bz2
# Source0-md5:	f88eaa06e71f8d8fa34cf59a3e034a6b
Patch0:		%{name}-libxul.patch
URL:		http://www.mono-project.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dotnet-gtk-sharp2-devel >= 1.9.3
BuildRequires:	gtk+2-devel >= 2:2.0.0
BuildRequires:	mono-csharp >= 1.1.0
BuildRequires:	monodoc >= 2.6
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildConflicts:	gecko-sharp < 0.2
%ifarch %{x8664} ia64 ppc64 s390x sparc64
Requires:	libxul.so()(64bit)
%else
Requires:	libxul.so
%endif
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gecko# - A Gtk# Mozilla binding.

%description -l pl.UTF-8
Gecko# - wiązanie Gtk# dla Mozilli.

%package devel
Summary:	Gecko# development files
Summary(pl.UTF-8):	Pliki programistyczne Gecko#
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	monodoc >= 2.6

%description devel
Gecko# development files.

%description devel -l pl.UTF-8
Pliki programistyczne Gecko#.

%prep
%setup -q -n gecko-sharp-2.0-%{version}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

if ! pkg-config --exists mono; then
	sed -i -e 's/exec mono/exec mint/' $RPM_BUILD_ROOT%{_bindir}/webshot
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{_prefix}/lib/mono/gac/gecko-sharp

%files devel
%defattr(644,root,root,755)
%{_prefix}/lib/mono/gecko-sharp-2.0
%{_pkgconfigdir}/gecko-sharp-2.0.pc
%{_prefix}/lib/monodoc/sources/gecko-sharp-docs.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dotnet-gecko-sharp2.spec,v $
Revision 1.20  2010/10/28 18:35:52  megabajt
- release 4

Revision 1.19  2010/03/12 11:47:20  megabajt
- use %{_prefix}/lib for monodoc
- release 3

Revision 1.18  2008/07/09 22:39:05  glen
- if epoch not defined, don't use it in deps

Revision 1.17  2008/07/09 15:17:42  megabajt
- added -libxul.patch
- release 2

Revision 1.16  2008/06/19 05:09:37  qboosh
- more verbose files

Revision 1.15  2008/06/19 05:06:55  qboosh
- updated to 0.13
- fixed License: COPYING mentions LGPL and MPL (but no more info)

Revision 1.14  2007/09/26 18:04:21  wolf
- make -j1

Revision 1.13  2007/04/27 10:03:23  megabajt
- use monodocdir instead of docdir
- release 2

Revision 1.12  2007/02/17 17:09:29  qboosh
- updated to 0.12

Revision 1.11  2007/02/17 15:48:58  qboosh
- mono is supported on alpha,sparc* now
- release 6

Revision 1.10  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.8  2006/06/07 09:42:27  qboosh
- fixed libgtkembedmoz.so dep

Revision 1.7  2006/06/07 09:27:06  charles
- R only libgtkembedmoz.so insted of mozilla-embedded

Revision 1.6  2006/02/01 17:13:25  twittner
- BR: monodoc >= 1.0

Revision 1.5  2005/12/03 13:16:43  qboosh
- monodoc currently uses arch-dependent libdir
- simplified pkgconfig dir move
- release 4

Revision 1.4  2005/11/30 15:59:23  freetz
- exclude i386 alpha sparc sparc64 from build, rel.3

Revision 1.3  2005/09/16 14:54:46  wolf
- remove mutual obsoletes

Revision 1.2  2005/09/16 07:17:37  freetz
- fix amd64 buid, rel.2

Revision 1.1  2005/09/15 22:17:02  freetz
- from DEVEL gecko-sharp branch

Revision 1.14.2.6  2005/09/11 19:47:37  pawcioos
- updated to 0.11

Revision 1.14.2.5  2005/08/22 18:28:51  wolf
- mono auto deps
- monodoc documentation

Revision 1.14.2.4  2005/06/19 16:35:07  prism
- fixed install (mv failed because a destination was the same as a source)

Revision 1.14.2.3  2005/05/24 19:05:19  malekith
- use /usr/lib for mono libdir; fixes amd64 build

Revision 1.14.2.2  2005/05/19 16:31:18  pawcioos
- updated to 0.10

Revision 1.14.2.1  2005/05/14 22:35:26  pawcioos
- updated to 0.7
